﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WorkEngineering.WebApi.Models.WCS.Request
{
    /// <summary>
    ///  处理任务请求参数
    /// </summary>
    public class SelectTaskRequest
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Required]
        public int TaskId { get; set; }

        /// <summary>
        ///  处理类型
        /// </summary>
        [Required]
        public TaskTypeEnum Type { get; set; }

        
    }

    public enum TaskTypeEnum
    {
        查询任务 = 0,
        取消任务 = 1
    }
}
