﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WorkEngineering.WebApi.Models.WMS.Request
{
    /// <summary>
    /// 获取入库任务请求实体
    /// </summary>
    public class GetInTaskInfoRequest
    {
        /// <summary>
        /// 位置码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string Equip { get; set; }

        /// <summary>
        /// 托盘编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string Code { get; set; }

        /// <summary>
        /// 仓库编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WareHouse { get; set; }

        public string Memo1 { get; set; } = "";
        public string Memo2 { get; set; } = "";
        public string Memo3 { get; set; } = "";
    }
}
